Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class StarTeamModule

    java.lang.Object
      com.pmease.quickbuild.repository.RepositoryModule
          com.pmease.quickbuild.repository.StarTeamModule

All Implemented Interfaces:
  java.io.Serializable

public class StarTeamModule
extends RepositoryModule

See Also:
  Serialized Form

Constructor Summary
`StarTeamModule()`

Method Summary
`java.lang.String` | `getDestPath()` OGNL: Specify the directory relative to the checkouts directory of current configuration.
`java.lang.String` | `getLabel()` OGNL: Specify the label for the above StarTeam view.
`java.lang.String` | `getSrcPath()` OGNL: Specify a path relative to the root of the above StarTeam view.
`java.lang.String` | `getStarteamView()` OGNL: Specify a StarTeam view.
`void` | `setDestPath(java.lang.String destPath)`
`void` | `setLabel(java.lang.String label)`
`void` | `setSrcPath(java.lang.String srcPath)`
`void` | `setStarteamView(java.lang.String starteamView)`

Methods inherited from class com.pmease.quickbuild.repository.RepositoryModule
`isSelected, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StarTeamModule

    public StarTeamModule()

Method Detail

### getStarteamView

    public java.lang.String getStarteamView()

  OGNL: Specify a StarTeam view. If it is left empty, the root view of the current StarTeam project will be used.

  Returns:

### setStarteamView

    public void setStarteamView(java.lang.String starteamView)

### getSrcPath

    public java.lang.String getSrcPath()

  OGNL: Specify a path relative to the root of the above StarTeam view. Enter \"/\" to specify the root.

  Returns:

### setSrcPath

    public void setSrcPath(java.lang.String srcPath)

### getLabel

    public java.lang.String getLabel()

  OGNL: Specify the label for the above StarTeam view. When left empty, the latest version of specified view is assumed.

  Returns:

### setLabel

    public void setLabel(java.lang.String label)

### getDestPath

    public java.lang.String getDestPath()

  OGNL: Specify the directory relative to the checkouts directory of current configuration. Contents under the above source path will be retrieved to this directory. When left empty, retrieved code will be put into directory specified in source path, relative to the checkouts directory.

  Returns:

### setDestPath

    public void setDestPath(java.lang.String destPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.